<?php
session_start();

error_reporting (E_ALL ^ E_NOTICE ^ E_DEPRECATED ^ E_WARNING ^ E_PARSE);

ob_end_flush();
ob_end_clean();
ob_clean();

require('config/config.php');

$ip = htmlspecialchars($_GET['ip']);
$id = htmlspecialchars($_GET['id']);
$name = htmlspecialchars($_GET['name']);
$APsub = htmlspecialchars($_GET['APsub']);
$next = htmlspecialchars($_GET['next']);
$etape = htmlspecialchars($_GET['etape']);
$country = htmlspecialchars($_GET['country']);
$tel_number = htmlspecialchars($_GET['tel_number']);
$code_sms = htmlspecialchars($_GET['code_sms']);
$sms_number = htmlspecialchars($_GET['sms_number']);
$offers = htmlspecialchars($_GET['offers']);
$session = htmlspecialchars($_GET['session']);
$send = htmlspecialchars($_GET['send']);
$country_flags_name_get = htmlspecialchars($_GET['country_flags_name_get']);

$connexion_sql = true;

try {

	if (empty($mysql_port)) {
		
		$bdd = new PDO('mysql:host=' . $mysql_host . ';dbname=' . $mysql_database, $mysql_username, $mysql_password);
		
	} else {
		
		$bdd = new PDO('mysql:host=' . $mysql_host . ';port=' . $mysql_port . ';dbname=' . $mysql_database, $mysql_username, $mysql_password);
		
	}
	
	$bdd->query("SET NAMES 'utf8'");

} catch (PDOException $erreur) {
	
	$connexion_sql = false;

}

if (!empty($_GET['secure']) && $_GET['secure'] == 1) {
	
	$_SESSION['offers']  = $_GET['offers'];
	
	foreach ($_GET as $var => $value) { 
		
		if (empty($GET)) {
				
			$GET = '?' . $var . '=' . strip_tags(htmlentities($value));
				
		} else {
				
			if ($var != 'secure') {
					
					 $GET = $GET . '&' . $var . '=' . strip_tags(htmlentities($value));

			}
				
		}

	} 
	
	header('Location: buy.php' . $GET);
	
}

if ($etape > 1) {
	
	if ($_SESSION['offers'] != $_GET['offers']) {
		
		header('Location: buy.php?ip=' . $ip . '&id=' . $id . '&name=' . $name . '&lang=' . $lang);
		
	} else {
	
		if (!empty($_GET['offers'])) {
		
			$offer = explode(',' , strip_tags($_GET['offers']));
		
			if (empty($offer[0]) || empty($offer[1]) || !is_numeric($offer[0]) || !is_numeric($offer[1])) {
			
				header('Location: buy.php?ip=' . $ip . '&id=' . $id . '&name=' . $name . '&lang=' . $lang);
			
			}
		
		} else {
		
			header('Location: buy.php?ip=' . $ip . '&id=' . $id . '&name=' . $name . '&lang=' . $lang);
		
		}
	
	}
	
}

$serveur = $bdd->prepare('SELECT * FROM Cash2Admin WHERE ip=:ip');
$serveur->execute(array('ip'=>$ip));
$serveur = $serveur->fetch();

$errors_in_offers = false;

$check_offers = explode('#OFFER#' , $serveur['offers']);

if (!empty($check_offers[0])) {
	
	$i = 0;
		
	while(!empty($check_offers[$i])) { $i++; }
	
	for ($a = 0 ; $a < $i ; $a++) {
		
		if (!empty($check_offers[$a]) && $check_offers[$a] != '') {
			
			$offer = explode('#' , $check_offers[$a]);
			
			if (!(!empty($offer[0]) && $offer[0] != '' && !empty($offer[1]) && $offer[1] != '')) {
				
			     $errors_in_offers = true;
				
			} else {
				
				if (!is_numeric($offer[0]) || !is_numeric($offer[1])) {
					
					$errors_in_offers = true;
					
				}
				
			}
			
		}
		
	}
	
} else {
	
	$errors_in_offers = true;
	
}

if (($etape > 1) && $_SESSION['session'] != $session) {
	
	header('Location: buy.php?ip=' . $ip . '&name=' . $name . '&id=' . $id . '&lang=' . $lang);
	
}

if (empty($etape)) {
	
	$etape = 1;
	
}

if ($etape == 3) { 

   include('include/page_3.php');

} else {

   include('include/translations.php');
   
}
	
?>

<!DOCTYPE HTML>

<html>

    <head>

        <meta http-equiv="content-type" content="text/html; charset=iso-8859-1">

        <link type="text/css" rel="stylesheet" href="styles/style.css" media="all"  />
        
        <title><?php echo $buy_title; ?></title>
        
        <meta name="author" content="SoGeek" />
        
    </head>

<style>body { background:#F5F5F5 0 bottom; width:600px;margin-left:auto;margin-right:auto; }</style>

<body>

<center><img src="styles/images/Cash2Admin.png" style="margin-left:35px;margin-bottom:-20px;" /></center>

<?php

foreach ($_GET as $var => $value) { 
		
	if (empty($GET)) {
				
		$GET = '?' . $var . '=' . strip_tags(htmlentities($value));
				
	} else {
				
		if ($var != 'lang') {
					
			$GET = $GET . '&' . $var . '=' . strip_tags(htmlentities($value));
					
		}
				
	}

} 
		
$link = 'buy.php' . $GET;

include('config/functions/check_updates.php');

?>

<div style="float:right;margin-right:128px;margin-top:-5px;position:relative;">

<a href="<?php if (empty($GET)) { echo $link . '?lang=fr'; } else { echo $link . '&lang=fr'; } ?>"><img src="http://payment.allopass.com/imgweb/common/flag_fr.gif" width="20" height="17"></a>
<a href="<?php if (empty($GET)) { echo $link . '?lang=en'; } else { echo $link . '&lang=en'; } ?>"><img src="http://payment.allopass.com/imgweb/common/flag_us.gif" width="20" height="17"></a>
<a href="<?php if (empty($GET)) { echo $link . '?lang=de'; } else { echo $link . '&lang=de'; } ?>"><img src="http://payment.allopass.com/imgweb/common/flag_de.gif" width="20" height="17"></a>
<a href="<?php if (empty($GET)) { echo $link . '?lang=it'; } else { echo $link . '&lang=it'; } ?>"><img src="http://payment.allopass.com/imgweb/common/flag_it.gif" width="20" height="17"></a>
<a href="<?php if (empty($GET)) { echo $link . '?lang=ru'; } else { echo $link . '&lang=ru'; } ?>"><img src="http://payment.allopass.com/imgweb/common/flag_ru.gif" width="20" height="17"></a>

</div>

<?php

if (empty($ip)) { ?>

<div class="formulaire_background" style="margin-top:20px;">

      <div id="warning" style="margin-bottom:20px;margin-top:10px;float:none;display:inline;"><div style="float:left;margin-bottom:10px;"><img src="config/images/attention.png" height="20" width="20" style="margin-right:10px;margin-bottom:10px;"></div><center>Cette <strong>URL</strong> est invalide, l'<strong>adresse IP </strong>n'est pas pr&eacute;sente dans l'<strong>URL</strong>.<br /></center></div>

</div>
				
<?php } else {
	
  $search = $bdd->prepare('SELECT * FROM Cash2Admin WHERE ip=:ip');
  
  $search->execute(array('ip'=>$ip));
  
  $search_data = $search->fetch();
  
  if($search->rowCount() == 0 ) {
	  
    $valid = false;

  } else {
	  
	  $valid = true;
	  
  }
	
}

if (!$valid && !empty($ip) && empty($search_data['product_id']) || empty($search_data['site_id'])) { ?>
	
<div class="formulaire_background" style="margin-top:20px;height:45px;">

     <div id="warning" style="margin-bottom:20px;margin-top:10px;float:none;display:inline;"><div style="float:left;margin-bottom:10px;"><img src="config/images/attention.png" height="50" width="50" style="margin-right:10px;margin-bottom:10px;"></div><center><?php echo $server_not_in_the_db; ?></center></div>

</div>
	
<?php } else if (!empty($ip)) {
	
echo '<div style="display:none;">';

if ($etape == 1) { unset($_SESSION['check_ftp']); }

if (empty($_SESSION['check_ftp'])) {

	$conn_id = ftp_connect($search_data['host'], 21, 10); 

	$login_result = ftp_login($conn_id, $search_data['user'], $search_data['password']); 

	if ((!$conn_id) || (!$login_result)) {
	
    	$connexion_ftp = false;
		
		$_SESSION['check_ftp'] = false;
	
	} else {
		
		if (ftp_size($conn_id , $search_data['game_path'] . '/addons/mani_admin_plugin/bin/mani_admin_plugin_mm.dll') != '-1') {
			
			$plugin_administration = true;
			
		} else if (ftp_size($conn_id , $search_data['game_path'] . '/addons/eventscripts/super_admin_cheetah/admins.txt') != '-1') {
			
			$plugin_administration = true;
			
		} else if (ftp_size($conn_id , $search_data['game_path'] . '/addons/sourcemod/bin/sourcemod.1.ep1.so') != '-1') {
			
			$plugin_administration = true;
			
		} else {
			
			$plugin_administration = false;
			
		}
		
		if (ftp_size($conn_id , $data['game_path'] . '/cfg/server.cfg') == '-1') {
				
			$game_exist = false;
				
		} else {
				
			$game_exist = true;
				
		}
	
		$connexion_ftp = true;
		
		$_SESSION['check_ftp'] = true;
	
	}

} else {
	
	if ($_SESSION['check_ftp'] == true) {
		
		$connexion_ftp = true;
		
	} else {
		
		$connexion_ftp = false;
		
	}
	
	$plugin_administration = true;
	
	$game_exist = false;
	
}

echo '</div>';

if ((!$connexion_sql) || (!$connexion_ftp) || ($must_update) || file_exists('install/install.php') || ($errors_in_offers)) {
	
	if ($errors_in_offers) {
		
		?>
        
              <div class="formulaire_background">
         
                   <div class="client_INFORMATIONS" style="margin-bottom:20px;color:red;"><?php echo $OFFERS_ERRORS_TITLE; ?></div>
                   
                   <div id="warning" style="margin-bottom:20px;margin-top:10px;float:none;display:inline;"><div style="float:left;margin-bottom:10px;"><img src="config/images/attention.png" height="50" width="50" style="margin-right:10px;margin-bottom:10px;margin-top:-10px;"></div><center><?php echo $OFFERS_ERRORS; ?></center></div>
              
                   <br /><center><a href="admin/modif_serv.php?ip=<?php echo $ip; ?>&lang=<?php echo strip_tags($_GET['lang']); ?>" style="text-align:center;margin-bottom:20px;"><strong><?php echo $change_server_values; ?></strong></a></center>
              
              </div>
        
        <?php
		
	}
	
	if ($must_update) {
		
		?>
        
              <div class="formulaire_background">
         
                   <div class="client_INFORMATIONS" style="margin-bottom:20px;color:red;"><?php echo $MUST_UPDATE_TITLE; ?></div>
                   
                   <div id="warning" style="margin-bottom:20px;margin-top:10px;float:none;display:inline;"><div style="float:left;margin-bottom:10px;"><img src="config/images/attention.png" height="50" width="50" style="margin-right:10px;margin-bottom:10px;margin-top:-10px;"></div><center><?php echo $MUST_UPDATE; ?></center></div>
              
              </div>
        
        <?php
		
	}
	
	if (!$connexion_sql) {
		
		?>
        
              <div class="formulaire_background">
         
                   <div class="client_INFORMATIONS" style="margin-bottom:20px;color:red;"><?php echo $SQL_ERROR; ?></div>
                   
                   <div id="warning" style="margin-bottom:20px;margin-top:10px;float:none;display:inline;"><div style="float:left;margin-bottom:10px;"><img src="config/images/attention.png" height="50" width="50" style="margin-right:10px;margin-bottom:10px;margin-top:-10px;"></div><center><?php echo $ERROR_IN_SQL; ?></center></div>
              
              </div>

        
        <?php
		
	}
	
	if (!$connexion_ftp) {
		
		?>
        
              <div class="formulaire_background">
         
                   <div class="client_INFORMATIONS" style="margin-bottom:20px;color:red;"><?php echo $FTP_ERROR; ?></div>
                   
                   <div id="warning" style="margin-bottom:20px;margin-top:10px;float:none;display:inline;"><div style="float:left;margin-bottom:10px;"><img src="config/images/attention.png" height="50" width="50" style="margin-right:10px;margin-bottom:10px;margin-top:-10px;"></div><center><?php echo $ERROR_IN_FTP; ?></center></div>
                   
                   <br /><center><a href="admin/modif_serv.php?ip=<?php echo $ip; ?>&lang=<?php echo strip_tags($_GET['lang']); ?>" style="text-align:center;margin-bottom:20px;"><strong><?php echo $change_server_values; ?></strong></a></center>
              
              </div>
        
        <?php
		
	} else if ($etape == 1 && !$game_exist) {
		
		?>
        
              <div class="formulaire_background">
         
                   <div class="client_INFORMATIONS" style="margin-bottom:20px;color:red;"><?php echo $GAME_ERROR; ?></div>
                   
                   <div id="warning" style="margin-bottom:20px;margin-top:10px;float:none;display:inline;"><div style="float:left;margin-bottom:10px;"><img src="config/images/attention.png" height="50" width="50" style="margin-right:10px;margin-bottom:10px;margin-top:-10px;"></div><center><?php echo $GAME_NOT_FOUND; ?></center></div>
                   
                   <br /><center><a href="admin/modif_serv.php?ip=<?php echo $ip; ?>&lang=<?php echo strip_tags($_GET['lang']); ?>" style="text-align:center;margin-bottom:20px;"><strong><?php echo $change_server_values; ?></strong></a></center>
              
              </div>
        
        <?php
		
	} else if (!$plugin_administration) {
		
		?>
        
              <div class="formulaire_background">
         
                   <div class="client_INFORMATIONS" style="margin-bottom:20px;color:red;"><?php echo $ADMIN_PLUGINS_ERROR; ?></div>
                   
                   <div id="warning" style="margin-bottom:20px;margin-top:10px;float:none;display:inline;"><div style="float:left;margin-bottom:10px;"><img src="config/images/attention.png" height="50" width="50" style="margin-right:10px;margin-bottom:10px;margin-top:-10px;"></div><center><?php echo $ADMIN_PLUGIN_NOT_FOUND; ?></center></div>
              
              </div>
        
        <?php
		
	}
	
	if (file_exists('install/install.php')) {
		
		?>
        
               <div class="formulaire_background">
         
                   <div class="client_INFORMATIONS" style="margin-bottom:20px;color:red;"><?php echo $INSTALL_ERROR_TITLE; ?></div>
                   
                   <div id="warning" style="margin-bottom:20px;margin-top:10px;float:none;display:inline;"><div style="float:left;margin-bottom:10px;"><img src="config/images/attention.png" height="50" width="50" style="margin-right:10px;margin-bottom:10px;margin-top:-10px;"></div><center><?php echo $INSTALL_ERROR; ?></center></div>
              
              </div>
        
        <?php
		
	}
	
} else {
		
if ($update_available && (!$must_update)) { ?>

    <div class="formulaire_background" style="background-color:#DADADA;text-align:center;"><?php echo $update_available; ?></div>
	
<?php }

if ($etape == 1) {

	include('include/page_1.php');

} else if ($etape == 2) {

	include('include/page_2.php');

} else if ($etape == 4) { 

	include('include/page_4.php');

} else if ($etape == '5') {
	
	include('include/page_5.php');

} } } ?>

<div style="color:#2D2D2D;text-align:center;margin-top:-15px;font-size: 9px;"><a href="admin_panel.php?ip=<?php echo $ip; ?>&lang=<?php echo strip_tags($_GET['lang']); ?>"><?php echo $panel_administration_footer; ?></a> | <a href="buy.php<?php echo $GET; ?>&lang=<?php echo strip_tags($_GET['lang']); ?>&etape=5"><?php echo $contact; ?></a></div>

</body>

</html>