<?php
session_start();

error_reporting (E_ALL ^ E_NOTICE ^ E_DEPRECATED ^ E_WARNING ^ E_PARSE);

$ip = strip_tags($_GET['ip']);

require("../config/config.php"); 

require("../config/functions/functions.php"); 

require('../include/panel_translations.php');
	
require('../config/translations.php');

if (empty($mysql_port)) {
		
	$bdd = new PDO('mysql:host=' . $mysql_host . ';dbname=' . $mysql_database, $mysql_username, $mysql_password);
		
} else {
		
	$bdd = new PDO('mysql:host=' . $mysql_host . ';port=' . $mysql_port . ';dbname=' . $mysql_database, $mysql_username, $mysql_password);
		
}
	
$bdd->query("SET NAMES 'utf8'");

if (!empty($ip)) {
	
	if ($ip != $_SESSION['ip']) {
		
		header('Location: ../admin_panel.php?lang=' . strip_tags($_GET['lang']));
		
	}
	
	$select_serveur = $bdd->prepare('SELECT * FROM Cash2Admin WHERE ip=:ip');
	$select_serveur->execute(array('ip'=>$ip));
	$serveur = $select_serveur->fetch();
	
	if ($select_serveur->rowCount() == 0) {
			
		header('Location: ../admin_panel.php?lang=' . strip_tags($_GET['lang']));	
			
	}
	
} else {
	
	header('Location: ../admin_panel.php?lang=' . strip_tags($_GET['lang']));
	
}

if (!empty($_POST) && isset($_POST['connexion'])) {
	  
	$valid = true;
	
	extract($_POST);
	
	if (empty($login)) {
		
		$valid = false;
		$erreurlogin = $enter_login;
		
	}
	
	if (empty($password)) {
		
		$valid = false;
		$erreurpass = $enter_password;
		
	}
	
	if ($valid) {
		
		$req = $bdd->prepare('SELECT * FROM Cash2Admin WHERE ip=:ip AND admin_login=:login AND admin_password=:password');
		$req->execute(array('ip'=>$ip, 'login'=>strip_tags($login), 'password'=>strip_tags($password)));
		$data = $req->fetch();
		
		if ($req->rowCount() == 0) {
			
			$valid = false;
			$erreurid = $error_ids;
			
		} else {
			
			$_SESSION['admin_panel_access'] = $ip;
			
		}

    }
  
}

?>

<!DOCTYPE HTML>

<html>

    <head>

        <meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
  
        <link type="text/css" rel="stylesheet" href="../styles/style.css" media="all" />
        
        <title><?php echo $modif_serv_title; ?></title>
        
        <meta name="author" content="SoGeek" />
        
        <noscript>
            <meta http-equiv="refresh" content="0; URL=../config/functions/javascript_disabled.php"> 
        </noscript>
        
    </head>

<style>body { background:#F5F5F5 0 bottom; width:600px;margin-left:auto;margin-right:auto; }</style>

<body>

<center><img src="../styles/images/Cash2Admin.png" style="margin-left:35px;margin-bottom:-10px;margin-top:0px;" /></center>

<?php if (!empty($_SESSION['admin_panel_access'])) { ?>

<div style="float:right;margin-right:0px;margin-top:-55px;position:relative;"><a href="logout.php"><img src="../config/images/disconnect.png" width="20" height="20" title="Deconnexion" alt="Deconnexion"></a></div>

<div style="float:left;margin-right:0px;margin-top:-55px;position:relative;"><a href="../admin_panel.php?ip=<?php echo strip_tags($_GET['ip']); ?>&lang=<?php echo strip_tags($_GET['lang']); ?>"><img src="../config/images/go_back.png" width="20" height="20" title="Back" alt="Back"></a></div>

<?php } ?>

<script type="text/javascript" src="../include/javascript/jquery.js"></script>

<script type="text/javascript" src="../include/javascript/jquery.placeholder.min.js"></script>
         
<link rel="stylesheet" href="../styles/prettyPhoto.css" type="text/css" media="screen" title="prettyPhoto main stylesheet" charset="utf-8" /> 
         
<script src="../include/javascript/jquery.prettyPhoto.js" type="text/javascript" charset="utf-8"></script> 

<script>

$(document).ready(function(){
	
     $('input[placeholder], textarea[placeholder]').placeholder();
	 $('a[rel="prettyPhoto"]').prettyPhoto();
		
});

</script>

<script>

function ReplaceAll (Source,stringToFind,stringToReplace) {
	
      var temp = Source;
	  
      var index = temp.indexOf(stringToFind);
	  
      while(index != -1) {
		  
           temp = temp.replace(stringToFind,stringToReplace);
           index = temp.indexOf(stringToFind);
		   
      }
	  
      return temp;
					  
}

</script>

<?php

foreach ($_GET as $var => $value) { 
		
	if (empty($GET)) {
				
		$GET = '?' . $var . '=' . strip_tags(htmlentities($value));
				
	} else {
				
		if ($var != 'lang') {
					
			$GET = $GET . '&' . $var . '=' . strip_tags(htmlentities($value));
					
		}
				
	}

} 
		
$link = 'modif_serv.php' . $GET;

?>

<div style="float:right;margin-right:128px;margin-top:-10px;position:relative;">

<a href="<?php if (empty($GET)) { echo $link . '?lang=fr'; } else { echo $link . '&lang=fr'; } ?>"><img src="http://payment.allopass.com/imgweb/common/flag_fr.gif" width="20" height="17"></a>
<a href="<?php if (empty($GET)) { echo $link . '?lang=en'; } else { echo $link . '&lang=en'; } ?>"><img src="http://payment.allopass.com/imgweb/common/flag_us.gif" width="20" height="17"></a>

</div>


<?php if (empty($_SESSION['admin_panel_access']) || $_SESSION['admin_panel_access'] != $ip) { ?>
    
    <div class="formulaire_background" style="text-align:center;">
         
         <div class="client_INFORMATIONS" style="margin-bottom:0px;"><?php echo $ADMINISTRATION_PANEL; ?></div>
        
         <?php if(isset($erreurid)) echo '<div class="erreur_id" style="color:red;margin-top:10px;">' . $erreurid . '</div>'; ?>
     
         <form action="modif_serv.php?ip=<?php echo $ip; ?>&lang=<?php echo strip_tags($_GET['lang']); ?>" method="POST">
         
         <input type="hidden" name="ip" id="ip" value="<?php echo $ip; ?>">
     
         <div class="form_ITEM" style="width:600px;margin-left:auto;margin-right:auto;float:none;">
         
         <label for"login" style="width:150px;float:none;"><?php echo $pseudo; ?></label>
         
         <input type="text" name="login" id="login" placeholder="<?php echo $pseudo; ?>" style="width:170px;float:none;">
         
         <div class="erreur_login" style="color:red;"><?php if (isset($erreurlogin)) echo $erreurlogin; ?></div>
         
         </div>
         
         <div class="form_ITEM" style="width:600px;margin-left:auto;margin-right:auto;">
         
         <label for"password" style="width:150px;"><?php echo $PASS; ?></label>
         
         <input type="password" name="password" id="password" value="password" onFocus="if(this.value='password') this.value=''" style="width:170px;float:none;">
         
         <div class="erreur_password" style="color:red;"><?php if (isset($erreurpass)) echo $erreurpass; ?></div>
         
         </div>
         
         <center><input class="login_button" type="submit" name="connexion" id="connexion" value="Connexion" style="margin-top:20px;margin-bottom:15px;" /></center>
         
         </form>
         
         <a href="admin/forgot_logs.php?ip=<?php echo $ip; ?>&lang=<?php echo strip_tags($_GET['lang']); ?>" style="color:#223F51;"><strong><?php echo $forgot_logs; ?></strong></a><br /><br />
        
    </div>
    
<?php } else if ($_SESSION['admin_panel_access'] == $ip) { 

require('../include/panel_translations.php');
	
require('../config/translations.php');

if ($_POST['modif'] == true && $_GET['modif'] == true) {
	
	extract($_POST);
	
	$update_server = $bdd->prepare('UPDATE Cash2Admin SET email=:email , game=:game , ip=:new_ip , admin_login=:login , admin_password=:password , game_path=:game_path , rcon=:rcon , product_id=:product_id , site_id=:site_id , offers=:offers WHERE ip=:ip');
	
	$update_server->execute(array(
			'ip'=>strip_tags($_GET['ip']) ,
			'game'=>strip_tags($game) ,
			'email'=>strip_tags($email) ,
			'login'=>strip_tags($login) ,
			'new_ip'=>strip_tags($server_IP) ,
			'password'=>strip_tags($password) ,
			'product_id'=>strip_tags($product_id) ,
			'rcon'=>strip_tags($rcon_password) ,
			'game_path'=>strip_tags($game_path) ,
			'site_id'=>strip_tags($site_id) ,
			'offers'=>strip_tags($offers)
			));
		
    $update_server->closeCursor();
	
	header('Location: modif_serv.php?ip=' . $server_IP .'&lang=' . strip_tags($_GET['lang']) . '&modification=ok');
	
}

?>

<form action="modif_serv.php?ip=<?php echo $ip; ?>&modif=true&lang=<?php echo strip_tags($_GET['lang']); ?>" method="POST" id="modif_form" name="modif_form">

         <input type="hidden" name="modif" id="modif" value="true">
         
         <input type="hidden" name="offers" id="offers" value="">
         
         <?php if ($_GET['modification'] == 'ok') { ?>
         
			<div class="formulaire_background" style="text-align:center;">
         
              <font color=green><?php echo $informations_changed; ?></font>

            </div>
			 
		 <?php } ?>
         
         <div class="formulaire_background">
         
              <div class="client_INFORMATIONS" style="margin-bottom:20px;">JEU DU SERVEUR</div>

              <div class="form_ITEM" style="margin-top:0px;text-align:center;">
                   <select name="game" id="game" style="float:none;">
                       <option value="cstrike" <?php if ($serveur['game'] == 'cstrike') { echo 'selected'; } ?>>Counter-Strike:Source</option>
                       <option value="tf2" <?php if ($serveur['game'] == 'tf2') { echo 'selected'; } ?>>Team Fortress 2</option>
                       <option value="hl2mp" <?php if ($serveur['game'] == 'hl2mp') { echo 'selected'; } ?>>Half-Life 2 : Deathmatch</option>
                       <option value="dod" <?php if ($serveur['game'] == 'dod') { echo 'selected'; } ?>>Day Of Defeat:Source</option>
                       <option value="left4dead2" <?php if ($serveur['game'] == 'left4dead2') { echo 'selected'; } ?>>Left 4 Dead 2 (Sourcemod ONLY)</option>
                       <option value="left4dead" <?php if ($serveur['game'] == 'left4dead') { echo 'selected'; } ?>>Left 4 Dead (Sourcemod ONLY)</option>
                   </select>
              </div>

         </div>
    
         <div class="formulaire_background">
         
              <div class="client_INFORMATIONS" style="margin-bottom:20px;"><?php echo $SERVEUR; ?></div>

              <div class="form_ITEM" style="margin-top:0px;text-align:center;">
                   <input type="text" name="server_IP" id ="server_IP" style="float:none;margin-left:auto;margin-right:auto;" value="<?php echo $serveur['ip']; ?>">
              </div>
              
              <div class="error_server_informations" id="error_server_informations" style="margin-bottom:10px;color:red;text-align:center;"></div>

         </div>
         
         <div class="formulaire_background">
         
              <div class="client_INFORMATIONS" style="margin-bottom:20px;"><?php echo $CLIENT; ?></div>

              <div class="form_ITEM" style="margin-top:0px;text-align:center;">
                   <input type="text" name="email" id="email" style="float:none;margin-left:auto;margin-right:auto;" value="<?php echo $serveur['email']; ?>">
              </div>
              
              <div class="error_email_informations" id="error_email_informations" style="margin-bottom:10px;color:red;text-align:center;"></div>

         </div>
         
         <div class="formulaire_background">
         
              <div class="client_INFORMATIONS" style="margin-bottom:20px;"><?php echo $LOGIN_REGISTER; ?></div>

              <div class="form_ITEM" style="margin-top:0px;text-align:center;">
                   <input type="text" name="login" id="login" style="float:none;margin-left:auto;margin-right:auto;" value="<?php echo $serveur['admin_login'] ?>">
              </div>
              
              <div class="error_login_information" id="error_login_information" style="margin-bottom:10px;color:red;text-align:center;"></div>

         </div>
         
         <div class="formulaire_background">
         
              <div class="client_INFORMATIONS" style="margin-bottom:20px;"><?php echo $PASSWORD_REGISTER; ?></div>

              <div class="form_ITEM" style="margin-top:0px;text-align:center;">
                   <input type="password" name="password" id="password" style="float:none;margin-left:auto;margin-right:auto;" value="<?php echo $serveur['admin_password'] ?>">
              </div>
              
              <div class="form_ITEM" style="margin-top:0px;text-align:center;">
                   <input type="password" name="repeat_password" id="repeat_password" style="float:none;margin-left:auto;margin-right:auto;margin-top:15px;" value="<?php echo $serveur['admin_password'] ?>">
              </div>
              
              <div class="error_password_informations" id="error_password_informations" style="margin-bottom:10px;color:red;text-align:center;"></div>

         </div>
         
         <div class="formulaire_background">
         
              <div class="client_INFORMATIONS" style="margin-bottom:20px;"><?php echo $game_path; ?></div>
        
              <div class="form_ITEM" style="margin-top:0px;text-align:center;">
                   <center><input type="text" name="game_path" id="game_path" style="float:none;margin-left:auto;margin-right:auto;" value="<?php echo $serveur['game_path']; ?>"></center>
                   <div class="error_game_path_informations" id="error_game_path_informations" style="color:red;"></div>
                 <div style="cursor:pointer;color:#223F51;margin-top:7px;"><strong><span id="found_path"><?php echo $found_path; ?></span></strong> | <a onClick="window.open('../config/functions/search_path_manually.php?lang=<?php echo $lang; ?>','FTP - <?php echo $ftp_host; ?>','width=400, height=600');"><strong><span id="open_ftp"><?php echo $open_ftp; ?></span></strong></a></div>
              </div>

         </div>
         
         <script>
		 
		 $(document).ready(function() {
									
			$('#ask_for_rcon').hide();
									
			var dataString = '';	
			
			$('#found_path').click(function() {						   
		
				$.ajax({
					  					   
					   type: 'POST',
					   url : '../config/functions/search_path.php',
                       timeout: 30000,
					   data: dataString,
					   
					   beforeSend : function () {
						   
						   $('#found_path').html('<img src="../config/images/ajax_load.gif" style="margin-bottom:-3px;">');
									   
					   }, success : function(data) {
						     
						     var responseData = jQuery.parseJSON(data)
							 
							 if (responseData.STATUT == 'OK') {
								 
								 $('#game_path').val(responseData.path);
								 
								 $('#found_path').html("<font color=green><?php echo $found; ?></font>");
								 
							 } else  {
								 
								 $('#found_path').html("<font color=red><?php echo $enter_manually; ?></font>");
								 
							 }

					   } , error : function() {
						   
						   $('#found_path').html("<font color=red><?php echo $not_found; ?></font>");

					   }
					   
			     });
											   
			});
									
		 });
		 
		 </script>
         
         <div class="formulaire_background">
         
              <div class="client_INFORMATIONS" style="margin-bottom:20px;"><?php echo $rcon_password_title; ?></div>

              <div class="form_ITEM" style="margin-top:0px;text-align:center;">
                   <center><input type="text" name="rcon_password" id="rcon_password" style="float:none;margin-left:auto;margin-right:auto;" value="<?php echo $serveur['rcon']; ?>"></center>
                   <div class="error_rcon_informations" id="error_rcon_informations" style="color:red;"></div>
                   <strong><div style="cursor:pointer;color:#223F51;margin-top:7px;" id="search_for_rcon"><?php echo $found_rcon; ?></div></strong>
              </div>

         </div>
         
         <script>
		 
		 $(document).ready(function() {
									
			$('#unvalid_rcon').click(function() {
												
					$('#ask_for_rcon').fadeOut(); 	
					
					$('#modif_parameters').html("<?php echo $modif_parameters; ?>"); 
												
					$('#modif_parameters').fadeIn(); 
													 
			});
			   
			$('#valid_rcon').click(function() {
												
					submit_form = true;							
												
					$('#modif_form').submit();
													 
			});
			
			$('#search_for_rcon').click(function() {						   
				
				if ($('#game_path').val() != '' && $('#game_path').val() != 'Exemple : /games/orangebox/path') {
						 
						 	var replace_path = ReplaceAll($('#game_path').val(), " " , "");
							
						    $('#game_path').val(replace_path);
		
			    }
				
				var dataString = 'game_path=' + $('#game_path').val();
		
				$.ajax({
					  					   
					   type: 'POST',
					   url : '../config/functions/search_rcon.php',
                       timeout: 30000,
					   data: dataString,
					   
					   beforeSend : function () {
						   
						   $('#search_for_rcon').html("<img src='../config/images/ajax_load.gif' style='margin-bottom:-3px;'>");
									   
					   }, success : function(data) {
						     
						     var responseData = jQuery.parseJSON(data)
							 
							 if (responseData.STATUT == 'OK') {
								 
								 $('#rcon_password').val(responseData.RCON);
								 
								 $('#search_for_rcon').html("<font color=green><?php echo $found; ?></font>");
								 
							 } else  {
								 
								 if (responseData.STATUT == 'NO_PATH') {
								 
								     $('#search_for_rcon').html("<font color=red><?php echo $try_again; ?>");
								 
								 } else {
									 
									 $('#search_for_rcon').html("<font color=red><?php echo $enter_manually; ?></font>");
									 
								 }
								 
							 }

					   } , error : function() {
						   
						   $('#search_for_rcon').html("<font color=red><?php echo $not_found; ?></font>");

					   }
					   
			     });
											   
			});
									
		 });
		 
		 </script>
         
         <div class="formulaire_background">

              <div class="client_INFORMATIONS"><?php echo $allopass_account; ?></div> 
         
              <div id="site_id_error" class="site_id_error" style="margin-top:0px;float:right;margin-right:3px;margin-bottom:-3px;"></div>
              
              <div class="form_ITEM" style="margin-top:10px;">
              
              <label for"site_id" id="input"><?php echo $id_site_translation; ?></label>
              <input type="text" name="site_id" id ="site_id" value="<?php echo $serveur['site_id'] ?>">
              
              </div>
         
              <div id="product_id_error" class="product_id_error" style="margin-top:0px;float:right;margin-right:3px;margin-bottom:-13px;"></div>
              
              <div class="form_ITEM" style="margin-bottom:10px;">
              
              <label for"product_id" id="input"><?php echo $id_product_translation; ?></label>
              <input type="text" name="product_id" id ="product_id" value="<?php echo $serveur['product_id'] ?>">
              
              </div>  
         
         <?php if ($lang == 'en') {  ?>
         
              <center><a id="help_with_video" rel="prettyPhoto" href="http://vimeo.com/29911243" title="Instructions video [SET IN HD + FULLSCREEN]" style="cursor:pointer;"><font color=#223F51><strong><?php echo $help_video; ?></strong></font></a>
		 
		 <?php } else { ?>
         
              <center><a id="help_with_video" rel="prettyPhoto" href="http://vimeo.com/29185311" title="Vido d'instructions [METTEZ EN HD + GRAND ECRAN]" style="cursor:pointer;"><font color=#223F51><strong><?php echo $help_video; ?></strong></font></a>
         
         <?php } ?> | <a id="help_with_picture" href="#" style="cursor:pointer;"><font color=#223F51><strong><?php echo $help_picture; ?></strong></font></a></center>

         </div>
         
         <?php 
		 
		 $offers = explode('#OFFER#' , $serveur['offers']);
		 
		 $offers_1 = explode('#' , $offers[0]);
		 
		 $offers_2 = explode('#' , $offers[1]);
		 
		 $offers_3 = explode('#' , $offers[2]);
		 
		 ?>
         
         <div class="formulaire_background">
         
              <div class="client_INFORMATIONS"><?php echo $server_offers; ?></div> 
              
              <center><div class="form_ITEM" style="margin-top:3px;margin-left:8px;">
              
              <select name="month_offer_1" id="month_offer_1" style="float:none;margin-left:7px;width:100px;" >
              
                   <option value="1" <?php if ($offers_1[0] == 1) { echo 'selected'; } ?>>1 <?php echo $months; ?></option>
                   <option value="2" <?php if ($offers_1[0] == 2) { echo 'selected'; } ?>>2 <?php echo $months; ?></option>
                   <option value="3" <?php if ($offers_1[0] == 3) { echo 'selected'; } ?>>3 <?php echo $months; ?></option>
                   <option value="6" <?php if ($offers_1[0] == 6) { echo 'selected'; } ?>>6 <?php echo $months; ?></option>
                   <option value="12" <?php if ($offers_1[0] == 12) { echo 'selected'; } ?>>12 <?php echo $months; ?></option>
                   
              </select>
              
              <font color="#223F51"><?php echo $administration_pour ?></font>
              
              <select type="text" name="price_offer_1" id="price_offer_1"  style="width:80px;float:none;">
              
                   <option value="1" <?php if ($offers_1[1] == 1) { echo 'selected'; } ?>>1</option>
                   <option value="2" <?php if ($offers_1[1] == 2) { echo 'selected'; } ?>>2</option>
                   <option value="3" <?php if ($offers_1[1] == 3) { echo 'selected'; } ?>>3</option>
                   <option value="4" <?php if ($offers_1[1] == 4) { echo 'selected'; } ?>>4</option>
                   <option value="5" <?php if ($offers_1[1] == 5) { echo 'selected'; } ?>>5</option>
                   <option value="6" <?php if ($offers_1[1] == 6) { echo 'selected'; } ?>>6</option>
                   <option value="7" <?php if ($offers_1[1] == 7) { echo 'selected'; } ?>>7</option>
                   <option value="8" <?php if ($offers_1[1] == 8) { echo 'selected'; } ?>>8</option>
                   <option value="9" <?php if ($offers_1[1] == 9) { echo 'selected'; } ?>>9</option>
                   <option value="10" <?php if ($offers_1[1] == 10) { echo 'selected'; } ?>>10</option>
                   <option value="11" <?php if ($offers_1[1] == 11) { echo 'selected'; } ?>>11</option>
                   <option value="12" <?php if ($offers_1[1] == 12) { echo 'selected'; } ?>>12</option>
                   <option value="13" <?php if ($offers_1[1] == 13) { echo 'selected'; } ?>>13</option>
                   <option value="14" <?php if ($offers_1[1] == 14) { echo 'selected'; } ?>>14</option>
                   <option value="16" <?php if ($offers_1[1] == 16) { echo 'selected'; } ?>>16</option>
                   <option value="18" <?php if ($offers_1[1] == 18) { echo 'selected'; } ?>>18</option>
                   <option value="20" <?php if ($offers_1[1] == 20) { echo 'selected'; } ?>>20</option>
                   
              </select>
              
         <font color="#223F51">ALLOPASS</font>
              
         </div></center>
         
         <label id="add_new_offer_2" name="add_new_offer_2" style="margin-left:70px;cursor:pointer;"><img src="../config/images/add_skin.png" style="margin-bottom:-4px;"/> <?php echo $add_new_offer; ?></label>
         
         <center><div class="form_ITEM" style="margin-top:3px;">
         
              <span class="remove_offer_2" id="remove_offer_2" style="float:left;margin-left:0px;margin-top:10px;cursor:pointer;"><img src="../config/images/remove_skin.gif" /></span>
              
              <select name="month_offer_2" id="month_offer_2" style="float:none;margin-left:7px;width:100px;" >
              
                   <option value="1" <?php if ($offers_2[0] == 1) { echo 'selected'; } ?>>1 <?php echo $months; ?></option>
                   <option value="2" <?php if ($offers_2[0] == 2) { echo 'selected'; } ?>>2 <?php echo $months; ?></option>
                   <option value="3" <?php if ($offers_2[0] == 3) { echo 'selected'; } ?>>3 <?php echo $months; ?></option>
                   <option value="6" <?php if ($offers_2[0] == 6) { echo 'selected'; } ?>>6 <?php echo $months; ?></option>
                   <option value="12" <?php if ($offers_2[0] == 12) { echo 'selected'; } ?>>12 <?php echo $months; ?></option>
                   
              </select>
              
              <span id="text_offer_2">
              
              <font color="#223F51"><?php echo $administration_pour ?></font>
              
              <select type="text" name="price_offer_2" id="price_offer_2"  style="width:80px;float:none;">
              
                   <option value="1" <?php if ($offers_2[1] == 1) { echo 'selected'; } ?>>1</option>
                   <option value="2" <?php if ($offers_2[1] == 2) { echo 'selected'; } ?>>2</option>
                   <option value="3" <?php if ($offers_2[1] == 3) { echo 'selected'; } ?>>3</option>
                   <option value="4" <?php if ($offers_2[1] == 4) { echo 'selected'; } ?>>4</option>
                   <option value="5" <?php if ($offers_2[1] == 5) { echo 'selected'; } ?>>5</option>
                   <option value="6" <?php if ($offers_2[1] == 6) { echo 'selected'; } ?>>6</option>
                   <option value="7" <?php if ($offers_2[1] == 7) { echo 'selected'; } ?>>7</option>
                   <option value="8" <?php if ($offers_2[1] == 8) { echo 'selected'; } ?>>8</option>
                   <option value="9" <?php if ($offers_2[1] == 9) { echo 'selected'; } ?>>9</option>
                   <option value="10" <?php if ($offers_2[1] == 10) { echo 'selected'; } ?>>10</option>
                   <option value="11" <?php if ($offers_2[1] == 11) { echo 'selected'; } ?>>11</option>
                   <option value="12" <?php if ($offers_2[1] == 12) { echo 'selected'; } ?>>12</option>
                   <option value="13" <?php if ($offers_2[1] == 13) { echo 'selected'; } ?>>13</option>
                   <option value="14" <?php if ($offers_2[1] == 14) { echo 'selected'; } ?>>14</option>
                   <option value="16" <?php if ($offers_2[1] == 16) { echo 'selected'; } ?>>16</option>
                   <option value="18" <?php if ($offers_2[1] == 18) { echo 'selected'; } ?>>18</option>
                   <option value="20" <?php if ($offers_2[1] == 20) { echo 'selected'; } ?>>20</option>
                   
              </select>
              
              <font color="#223F51">ALLOPASS</font></span></div></center>
              
              <label id="add_new_offer_3" name="add_new_offer_3" style="margin-left:70px;cursor:pointer;"><img src="../config/images/add_skin.png" style="margin-bottom:-4px;" /> <?php echo $add_new_offer; ?></label>
         
              <center><div class="form_ITEM" style="margin-top:3px;">
              
              <span class="remove_offer_3" id="remove_offer_3" style="float:left;margin-left:0px;margin-top:10px;cursor:pointer;"><img src="../config/images/remove_skin.gif" /></span>
              
              <select name="month_offer_3" id="month_offer_3" style="float:none;margin-left:7px;width:100px;" >
              
                   <option value="1" <?php if ($offers_3[0] == 1) { echo 'selected'; } ?>>1 <?php echo $months; ?></option>
                   <option value="2" <?php if ($offers_3[0] == 2) { echo 'selected'; } ?>>2 <?php echo $months; ?></option>
                   <option value="3" <?php if ($offers_3[0] == 3) { echo 'selected'; } ?>>3 <?php echo $months; ?></option>
                   <option value="6" <?php if ($offers_3[0] == 6) { echo 'selected'; } ?>>6 <?php echo $months; ?></option>
                   <option value="12" <?php if ($offers_3[0] == 12) { echo 'selected'; } ?>>12 <?php echo $months; ?></option>
                   
              </select>
              
              <span id="text_offer_3">
              
              <font color="#223F51"><?php echo $administration_pour ?></font>
              
              <select type="text" name="price_offer_3" id="price_offer_3"  style="width:80px;float:none;">
              
                   <option value="1" <?php if ($offers_3[1] == 1) { echo 'selected'; } ?>>1</option>
                   <option value="2" <?php if ($offers_3[1] == 2) { echo 'selected'; } ?>>2</option>
                   <option value="3" <?php if ($offers_3[1] == 3) { echo 'selected'; } ?>>3</option>
                   <option value="4" <?php if ($offers_3[1] == 4) { echo 'selected'; } ?>>4</option>
                   <option value="5" <?php if ($offers_3[1] == 5) { echo 'selected'; } ?>>5</option>
                   <option value="6" <?php if ($offers_3[1] == 6) { echo 'selected'; } ?>>6</option>
                   <option value="7" <?php if ($offers_3[1] == 7) { echo 'selected'; } ?>>7</option>
                   <option value="8" <?php if ($offers_3[1] == 8) { echo 'selected'; } ?>>8</option>
                   <option value="9" <?php if ($offers_3[1] == 9) { echo 'selected'; } ?>>9</option>
                   <option value="10" <?php if ($offers_3[1] == 10) { echo 'selected'; } ?>>10</option>
                   <option value="11" <?php if ($offers_3[1] == 11) { echo 'selected'; } ?>>11</option>
                   <option value="12" <?php if ($offers_3[1] == 12) { echo 'selected'; } ?>>12</option>
                   <option value="13" <?php if ($offers_3[1] == 13) { echo 'selected'; } ?>>13</option>
                   <option value="14" <?php if ($offers_3[1] == 14) { echo 'selected'; } ?>>14</option>
                   <option value="16" <?php if ($offers_3[1] == 16) { echo 'selected'; } ?>>16</option>
                   <option value="18" <?php if ($offers_3[1] == 18) { echo 'selected'; } ?>>18</option>
                   <option value="20" <?php if ($offers_3[1] == 20) { echo 'selected'; } ?>>20</option>
                   
              </select>
              
              <font color="#223F51">ALLOPASS</font></span></div></center>
              
         </div>
          
         <center><input type="submit" name="modif_parameters" class="button_formulaire_configuration" style="margin-bottom:10px;margin-top:0px;" value="<?php echo $modif_parameters; ?>"></center>  
         
         <div id="ask_for_rcon" style="text-align:center;">
         
             <?php echo $ask_for_rcon; ?>
         
         </div>
         
         <script>
		 
		 $(document).ready(function() {	
									
			<?php if (empty($offers[1])) { ?>	
			
				$('#month_offer_3').hide();
				$('#month_offer_2').hide();
				$('#remove_offer_3').hide();
				$('#remove_offer_2').hide();
				$('#price_offer_3').hide();
				$('#price_offer_2').hide();
				$('#add_new_offer_3').hide();
				$('#text_offer_3').hide();
				$('#text_offer_2').hide();	
			
			<?php } else if (empty($offers[2])) { ?>
			
			    $('#month_offer_3').hide();
				$('#remove_offer_3').hide();
				$('#price_offer_3').hide();
				$('#text_offer_3').hide();
				$('#add_new_offer_2').hide();
			
			<?php } else { ?>
			
			    $('#add_new_offer_3').hide();
				$('#add_new_offer_2').hide();
			
			<?php } ?>
			
			$('#add_new_offer_2').click(function () {
												  
				$('#text_offer_2').fadeIn();	
				$('#add_new_offer_3').fadeIn();
				$('#remove_offer_2').fadeIn();
				$('#month_offer_2').fadeIn();
				$('#price_offer_2').fadeIn();
				
				$('#add_new_offer_2').fadeOut();
												  
			});
			
			$('#add_new_offer_3').click(function () {
												  
				$('#text_offer_3').fadeIn();	
				$('#remove_offer_3').fadeIn();
				$('#month_offer_3').fadeIn();
				$('#price_offer_3').fadeIn();
				
				$('#add_new_offer_3').fadeOut();
												  
			});
			
			$('#remove_offer_3').click(function () {
												  
				$('#text_offer_3').fadeOut();	
				$('#remove_offer_3').fadeOut();
				$('#month_offer_3').fadeOut();
				$('#price_offer_3').fadeOut();
				
				if (!$('#add_new_offer_2').is(':visible')) {
					
					$('#add_new_offer_3').fadeIn();
					
				}
												  
			});
			
			$('#remove_offer_2').click(function () {
												  
				$('#text_offer_2').fadeOut();	
				$('#remove_offer_2').fadeOut();
				$('#month_offer_2').fadeOut();
				$('#price_offer_2').fadeOut();
				
				$('#add_new_offer_2').fadeIn();
				
				if ($('#add_new_offer_3').is(':visible')) {
					
					$('#add_new_offer_3').fadeOut();
					
				}
												  
			});
			
			$('#help_with_picture').click(function () {
				  
				<?php if ($lang == 'en') { ?> 
				
				api_images = ['../config/images/en/signup.jpg','../config/images/en/signup_particulier.jpg','../config/images/en/remplir_champs.jpg','../config/images/en/finish_signup.jpg','../config/images/en/goto_product.jpg','../config/images/en/add_product.jpg','../config/images/en/create_product_etape_2.jpg', '../config/images/en/create_product_etape_3.jpg' , '../config/images/en/create_product_etape_4.jpg','../config/images/en/create_product_etape_5.jpg','../config/images/en/create_product_etape_7.jpg' , '../config/images/en/finish_create_product.jpg' , '../config/images/en/show_product.jpg'];
                api_titles = ['Etape 1 | Go to Allopass.com and sign up','Etape 2 | Register as an partner','Etape 3 | Fill in the form','Etape 4 | Finalize registration', 'Etape 5 | Go to \'My Products\'','Etape 6 | Create a new product','Etape 7 | Complete the forms as in the photo','Etape 8 | Check \'Fixed price points\'', 'Etape 9 | Complete the form as in the photo', 'Etape 10 | Set pricing', 'Etape 11 | Put the number of code required to 1', 'Etape 12 | Confirm the creation of the product', 'Etape 13 (last) | You have the ID of the site and the product ID!'];
                api_descriptions = ['Go to www.allopass.com and click on \'New on Allopass? Register Here!','Click on \'Register an a partner\'','Fill out the form, enter your real address and real number', 'Finalize registration by clicking on the link in the mail' , 'Once your account is created, go to \'My Products \'','Create a new product by clicking \'Add a new product \'','Fill out the form exactly as in the picture, then click \'Next\'','Check \'Fixed price points\', then click \'Next\'', 'Fill in the form EXACTLY like the picture, then click \'Next\'', 'Fix the price you want in the country you want (do not forget your country)' , 'Put the required number of codes per purchase to 1, it is very important, and then click \'Next\'' , 'Click on \'Confirm\'' , 'That is, now you have just to fill in the form Cash2Admin, the site ID and the product ID']
                $.prettyPhoto.open(api_images,api_titles,api_descriptions);
				
				<?php } else { ?>
				  
				api_images = ['../config/images/fr/signup.jpg','../config/images/fr/signup_particulier.jpg','../config/images/fr/remplir_champs.jpg','../config/images/fr/finish_signup.jpg','../config/images/fr/goto_product.jpg','../config/images/fr/add_product.jpg','../config/images/fr/create_product_etape_2.jpg', '../config/images/fr/create_product_etape_3.jpg' , '../config/images/fr/create_product_etape_4.jpg','../config/images/fr/create_product_etape_5.jpg','../config/images/fr/create_product_etape_7.jpg' , '../config/images/fr/finish_create_product.jpg' , '../config/images/fr/show_product.jpg'];
                api_titles = ['Etape 1 | Rendez vous sur Allopass, et inscrivez-vous !','Etape 2 | Inscrivez-vous en tant que particulier','Etape 3 | Remplissez les champs du formulaire','Etape 4 | Finalisez l\'inscription', 'Etape 5 | Allez dans \'Mes produits\'','Etape 6 | Crez un nouveau produit','Etape 7 | Remplissez les formulaires comme sur la photo','Etape 8 | Cochez \'Paliers fixes\'', 'Etape 9 | Remplissez le formulaire comme sur la photo', 'Etape 10 | Fixez les paliers' , 'Etape 11 | Mettez le nombre de code requis  1', 'Etape 12 | Confirmez la cration du produit', 'Etape 13 (dernire) | Vous avez l\'ID du site et l\'ID du produit !'];
                api_descriptions = ['Rendez-vous sur www.allopass.com et cliquez sur \'Vous tes nouveau ? Inscrivez-vous','Cliquez sur \'Inscription en tant que particulier\'','Remplissez les champs du formulaire, entrez votre vraie adresse et votre vrai numro', 'Finalisez l\'inscription en cliquant sur le lien qui vous a t envoy par mail' , 'Une fois votre compte cre, rendez-vous dans \'Mes produits\'','Crez un nouveau produit en cliquant sur \'Ajouter un nouveau produit\'','Remplissez les formulaires EXACTEMENT comme sur la photo, puis cliquez sur \'Suivant\'','Cochez \'Paliers fixes\', puis cliquez sur \'Suivant\'', 'Remplissez les champs du formulaire EXACTEMENT comme la photo, puis cliquez sur \'Suivant\'', 'Fixez les paliers avec les prix que vous voulez et les pays que vous voulez (n\'oubliez pas votre pays). Pour aller plus vite, vous pouvez cliquer sur \'Paliers pr-selectionns\'.' , 'Mettez le nombre requis de codes par achat  1, c\'est trs important, puis cliquez sur \'Suivant\'' , 'Cliquez sur \'Confirmer\'' , 'Voil, il ne vous reste plus qu\' remplir dans le formulaire de Cash2Admin l\'ID du site et du produit']
                $.prettyPhoto.open(api_images,api_titles,api_descriptions);
				
				<?php } ?>
												  
			});
			
			var submit_form = false;
			
			$('#modif_form').submit(function() {
			
			             if (submit_form) {
							 
							 submit_form = false;
							 
							 return true;
							 
						 }
													 
						 var valid = true;
						 var finish_check_rcon = false;
													 
						 $('#modif_parameters').html('<img src="../config/images/ajax_load.gif">');							 			
						
						 if ($('#server_IP').val() != '' && $('#server_IP').val() != 'Exemple : 50.50.44.22:27015') {
						 
						 	var replace_IP = ReplaceAll($('#server_IP').val(), " " , "");
							
							$('#server_IP').val(replace_IP);
		
						 }
					
		   			     if ($('#server_IP').val() == '') {
							 
							$('#error_server_information').fadeIn(100).text("<?php echo $please_enter_ip; ?>");
							
							$('#server_IP').css('border-color', '#F55');
							$('#server_IP').css('-moz-box-shadow', '0 0 10px #F55');
							$('#server_IP').css('-webkit-box-shadow', '0 0 10px #F55');
							$('#server_IP').css('box-shadow', '0 0 10px #F55');
							
							valid = false;
							 
						 } else if (!$('#server_IP').val().match(/^(25[0-5]|2[0-4]\d|[0-1]?\d?\d)(\.(25[0-5]|2[0-4]\d|[0-1]?\d?\d)){3}:?[0-9]{0,5}$/)) {
							 
							$('#error_server_information').fadeIn(100).text("<?php echo $please_enter_valid_ip; ?>");
							
							$('#server_IP').css('border-color', '#F55');
							$('#server_IP').css('-moz-box-shadow', '0 0 10px #F55');
							$('#server_IP').css('-webkit-box-shadow', '0 0 10px #F55');
							$('#server_IP').css('box-shadow', '0 0 10px #F55');
							
							valid = false;
							 
						 } else {
							 
							$('#error_server_information').fadeOut(100);
							
							$('#server_IP').css('border-color', '#149541');
							$('#server_IP').css('-moz-box-shadow', '0 0 10px #149541');
							$('#server_IP').css('-webkit-box-shadow', '0 0 10px #149541');
							$('#server_IP').css('box-shadow', '0 0 10px #149541');
							 
						 }

						 if ($('#email').val() != '' && $('#email').val() != 'Email') {
						 
						 	          var replace_email_client = ReplaceAll($('#email').val(), " " , "");
							
						              $('#email').val(replace_email_client);
		
			             }
			   
			             if ($('#email').val() == '') {
				   
				            valid = false;
				   
				            $('#error_email_information').fadeIn(100).text("<?php echo $enter_email; ?>");
							
				            $('#email').css('border-color', '#F55');
				            $('#email').css('-moz-box-shadow', '0 0 10px #F55');
				            $('#email').css('-webkit-box-shadow', '0 0 10px #F55');
				            $('#email').css('box-shadow', '0 0 10px #F55');
				   
			             } else if (!$('#email').val().match(/^[a-zA-Z0-9_.-]+@[a-zA-Z0-9-]{2,}[.][a-zA-Z]{2,3}$/)) {
				   
				            valid = false;
				   
				            $('#error_email_information').fadeIn(100).text("<?php echo $enter_email; ?>");
							
				            $('#email').css('border-color', '#F55');
				            $('#email').css('-moz-box-shadow', '0 0 10px #F55');
				            $('#email').css('-webkit-box-shadow', '0 0 10px #F55');
				            $('#email').css('box-shadow', '0 0 10px #F55');
				   
			             } else {
				   
				            $('#error_email_information').fadeOut(100);
				   
				            $('#email').css('border-color', '#149541');
				            $('#email').css('-moz-box-shadow', '0 0 10px #149541');
			       	 		$('#email').css('-webkit-box-shadow', '0 0 10px #149541');
			   	 		 	$('#email').css('box-shadow', '0 0 10px #149541');
				   
			   		     }
						 
						 if ($('#login').val() == '') {
				   
				  		    valid = false;
				   
				   		    $('#error_login_information').fadeIn(1000).html("<?php echo $PLEASE_ENTER_LOGIN; ?>");
				
				   		    $('#login').css('-moz-box-shadow', '0 0 10px red');
				   		    $('#login').css('-webkit-box-shadow', '0 0 10px red');
				   		    $('#login').css('box-shadow', '0 0 10px red');
				   
			      		 } else if ($('#login').val() == '<?php echo $ENTER_LOGIN; ?>') {
				   
				   		    valid = false;

				   		    $('#error_login_information').fadeIn(1000).html("<?php echo $PLEASE_ENTER_VALID_LOGIN; ?>");

				   		    $('#login').css('-moz-box-shadow', '0 0 10px red');
				   		    $('#login').css('-webkit-box-shadow', '0 0 10px red');
				   		    $('#login').css('box-shadow', '0 0 10px red');
				   
			             } else if (!$('#login').val().match(/^\w+$/)) {
				  
				   		    valid = false;
				   
				   		    $('#error_login_information').fadeIn(1000).html("<?php echo $PLEASE_ENTER_VALID_LOGIN; ?>");
							
				   		    $('#login').css('-moz-box-shadow', '0 0 10px red');
				   		    $('#login').css('-webkit-box-shadow', '0 0 10px red');
				   		    $('#login').css('box-shadow', '0 0 10px red');
				   
			             } else if ($('#login').val().length < 3) {
				  
				   		    valid = false;
				   
				   		    $('#error_login_information').fadeIn(1000).html("<?php echo $THREE_CARACTERS_MIN; ?>");

				   		    $('#login').css('-moz-box-shadow', '0 0 10px red');
				   		    $('#login').css('-webkit-box-shadow', '0 0 10px red');
				   		    $('#login').css('box-shadow', '0 0 10px red');
				   
			             } else {
							 
							 $('#error_login_information').fadeOut();

				             $('#login').css('-moz-box-shadow', '0 0 10px #149541');
			                 $('#login').css('-webkit-box-shadow', '0 0 10px #149541');
			   	             $('#login').css('box-shadow', '0 0 10px #149541');
							 
						 }
						 
						 if( $('#password').val() == '' ) {
					  
                                $('#error_password_informations').fadeIn(1000).html("<?php echo $ENTER_PASSWORD; ?>");
						
						        $('#password').css('-moz-box-shadow', '0 0 10px red');
						        $('#password').css('-webkit-box-shadow', '0 0 10px red');
						        $('#password').css('box-shadow', '0 0 10px red');
						
                                valid = false;
						
                         } else if (!$('#password').val().match(/^([0-9-a-zA-Z\s-]{5,30})$/)) {
				   
				                valid = false;
								
				   				$('#error_password_informations').fadeIn(1000).html("<?php echo $ENTER_VALID_PASSWORD; ?>");

				                $('#password').css('-moz-box-shadow', '0 0 10px #F55');
				                $('#password').css('-webkit-box-shadow', '0 0 10px #F55');
				                $('#password').css('box-shadow', '0 0 10px #F55');
						
						        $('#repeat_password').css('-moz-box-shadow', '0 0 10px red');
					            $('#repeat_password').css('-webkit-box-shadow', '0 0 10px red');
					            $('#repeat_password').css('box-shadow', '0 0 10px red');
				   
			             } else {
					  
		                          if ($('#password').val().length < 5) {
							  
                                           $('#error_password_informations').fadeIn(1000).html("<?php echo $FIVE_CARACTERS_MIN; ?>");
								   
							               $('#password').css('-moz-box-shadow', '0 0 10px red');
							               $('#password').css('-webkit-box-shadow', '0 0 10px red');
							               $('#password').css('box-shadow', '0 0 10px red');
								   
                                           valid = false;
								   
                                  } else {
							  
							          if ($('#password').val() == "password") {
								  
                                           $('#error_password_informations').fadeIn(1000).html("<?php echo $ENTER_PASSWORD; ?>");
						
						                   $('#password').css('-moz-box-shadow', '0 0 10px red');
						                   $('#password').css('-webkit-box-shadow', '0 0 10px red');
						                   $('#password').css('box-shadow', '0 0 10px red');
						
						                   $('#repeat_password').css('-moz-box-shadow', '0 0 10px red');
					                       $('#repeat_password').css('-webkit-box-shadow', '0 0 10px red');
					                       $('#repeat_password').css('box-shadow', '0 0 10px red');
										   
							          } else {
							  
                                           $('#error_password_informations').fadeOut();
								   
					                       $('#password').css('-moz-box-shadow', '0 0 10px green');
					                       $('#password').css('-webkit-box-shadow', '0 0 10px green');
					                       $('#password').css('box-shadow', '0 0 10px green');
								   
							          }
								   
                                  }
		  
                         }

                         if( $('#repeat_password').val() == '' ) {
					 
                               $('#error_password_informations').fadeIn(1000).html("<?php echo $ENTER_PASSWORD; ?>");
					   
					           $('#repeat_password').css('-moz-box-shadow', '0 0 10px red');
					           $('#repeat_password').css('-webkit-box-shadow', '0 0 10px red');
					           $('#repeat_password').css('box-shadow', '0 0 10px red');
					   
                               valid = false;
					   
                         } else {
					 
					         if($('#repeat_password').val().length < 5) {

							               $('#repeat_password').css('-moz-box-shadow', '0 0 10px red');
							               $('#repeat_password').css('-webkit-box-shadow', '0 0 10px red');
							               $('#repeat_password').css('box-shadow', '0 0 10px red');
								   
                                           valid = false;
								   
                                  } else {
							  
							          if ($('#repeat_password').val() == 'password') {
								  
                                           $('#error_password_informations').fadeIn(1000).html("<?php echo $ENTER_PASSWORD; ?>");
						
						                   $('#password').css('-moz-box-shadow', '0 0 10px red');
						                   $('#password').css('-webkit-box-shadow', '0 0 10px red');
						                   $('#password').css('box-shadow', '0 0 10px red');
						
						                   $('#repeat_password').css('-moz-box-shadow', '0 0 10px red');
					                       $('#repeat_password').css('-webkit-box-shadow', '0 0 10px red');
					                       $('#repeat_password').css('box-shadow', '0 0 10px red');
										   
							          } else {
							  
                                           $('#error_password_informations').slideUp();

					                       $('#repeat_password').css('-moz-box-shadow', '0 0 10px green');
					                       $('#repeat_password').css('-webkit-box-shadow', '0 0 10px green');
					                       $('#repeat_password').css('box-shadow', '0 0 10px green');
								   
							          }
								   
                                  }
					   
                         }
	  
	                     if ( $('#repeat_password').val() != '' && $('#password').val() != '' ) {
					 
	                           if( $('#repeat_password').val() != $('#password').val() ) {
						     
                                     $('#error_password_informations').fadeIn(1000).html("<?php echo $DIFERENT_PASSWORD ?>");

					                 $('#password').css('-moz-box-shadow', '0 0 10px red');
					                 $('#password').css('-webkit-box-shadow', '0 0 10px red');
					                 $('#password').css('box-shadow', '0 0 10px red');

					                 $('#repeat_password').css('-moz-box-shadow', '0 0 10px red');
					                 $('#repeat_password').css('-webkit-box-shadow', '0 0 10px red');
					                 $('#repeat_password').css('box-shadow', '0 0 10px red');
							 
                                     valid = false;
							 
                               } else {
						   
						           if (($('#repeat_password').val().length > 5 && $('#password').val().length > 5)) {
							   
							           if (!$('#password').val().match(/^([0-9-a-zA-Z\s-]{5,30})$/) && !$('#repeat_password').val().match(/^([0-9-a-zA-Z\s-]{5,30})$/)) {
								   
								   		           $('#error_password_informations').fadeIn(1000).html("<?php echo $PLEASE_ENTER_VALIDS_PASSWORD; ?>");

				        		   		           $('#password').css('-moz-box-shadow', '0 0 10px #F55');
				       		   		               $('#password').css('-webkit-box-shadow', '0 0 10px #F55');
				       		   		               $('#password').css('box-shadow', '0 0 10px #F55');
						
								   		           $('#repeat_password').css('-moz-box-shadow', '0 0 10px red');
					    		   		           $('#repeat_password').css('-webkit-box-shadow', '0 0 10px red');
					   		   		               $('#repeat_password').css('box-shadow', '0 0 10px red');
								   
							           } else {
								   
								            if ( $('#password').val() == "password" && $('#repeat_password').val() == "password" ) {
					  
                                                   $('#error_password_informations').fadeIn(1000).html("<?php echo $ENTER_PASSWORD; ?>");
						
						                           $('#password').css('-moz-box-shadow', '0 0 10px red');
						                           $('#password').css('-webkit-box-shadow', '0 0 10px red');
						                           $('#password').css('box-shadow', '0 0 10px red');
						
						                           $('#repeat_password').css('-moz-box-shadow', '0 0 10px red');
					                               $('#repeat_password').css('-webkit-box-shadow', '0 0 10px red');
					                               $('#repeat_password').css('box-shadow', '0 0 10px red');
						
                                                   valid = false;
						
                                            } else {
						   
                                                   $('#error_password_informations').fadeOut();

							                       $('#password').css('-moz-box-shadow', '0 0 10px green');
							                       $('#password').css('-webkit-box-shadow', '0 0 10px green');
							                       $('#password').css('box-shadow', '0 0 10px green');

							                       $('#repeat_password').css('-moz-box-shadow', '0 0 10px green');
							                       $('#repeat_password').css('-webkit-box-shadow', '0 0 10px green');
							                       $('#repeat_password').css('box-shadow', '0 0 10px green');
										   
				                             }
							
							           }
							   
						           }
							 
                               }
	  
	                     }
						 
						 if ($('#game_path').val() != '' && $('#game_path').val() != 'Exemple : /games/orangebox/path') {
						 
						 	          var replace_path = ReplaceAll($('#game_path').val(), " " , "");
							
						              $('#game_path').val(replace_path);
		
			             }
						 
						 if ($('#game_path').val() == '') {
				   
				            valid = false;
				   
				            $('#error_game_path_informations').fadeIn(100).text("<?php echo $enter_path; ?>");
							
				            $('#game_path').css('border-color', '#F55');
				            $('#game_path').css('-moz-box-shadow', '0 0 10px #F55');
				            $('#game_path').css('-webkit-box-shadow', '0 0 10px #F55');
				            $('#game_path').css('box-shadow', '0 0 10px #F55');
				   
			             } else {
				   
				            var dataString = 'game_path=' + $('#game_path').val();
		
				            $.ajax({
					  					   
					            type: 'POST',
					            url : '../config/functions/check_path.php',
					            data: dataString,
								async: false,
                                cache: false,
					   
					            success : function(data) {
						     
						             var responseData = jQuery.parseJSON(data)
							 
							         if (responseData.STATUT == 'OK') {
										 
										  $('#error_game_path_informations').fadeOut(100);
				   
				                          $('#game_path').css('border-color', '#149541');
				                          $('#game_path').css('-moz-box-shadow', '0 0 10px #149541');
			       	 		              $('#game_path').css('-webkit-box-shadow', '0 0 10px #149541');
			   	 		 	              $('#game_path').css('box-shadow', '0 0 10px #149541');
										 
									 } else {

                                          valid = false;
				   
				                          $('#error_game_path_informations').fadeIn(100).text("<?php echo $invalid_path; ?>");
							
				                          $('#game_path').css('border-color', '#F55');
				                          $('#game_path').css('-moz-box-shadow', '0 0 10px #F55');
				                          $('#game_path').css('-webkit-box-shadow', '0 0 10px #F55');
				                          $('#game_path').css('box-shadow', '0 0 10px #F55');

							         }

					           }
					   
			               });
				   
			             }
						 
						 if ($('#rcon_password').val() != '' && $('#rcon_password').val() != 'Exemple : df4fz7fz7fze') {
						 
						 	          var replace_rcon = ReplaceAll($('#rcon_password').val(), " " , "");
							
						              $('#rcon_password').val(replace_rcon);
		
			             }
						 
						 if ($('#rcon_password').val() == '') {
				   
				            valid = false;
				   
				            $('#error_rcon_informations').fadeIn(100).text("<?php echo $enter_rcon; ?>");
							
				            $('#rcon_password').css('border-color', '#F55');
				            $('#rcon_password').css('-moz-box-shadow', '0 0 10px #F55');
				            $('#rcon_password').css('-webkit-box-shadow', '0 0 10px #F55');
				            $('#rcon_password').css('box-shadow', '0 0 10px #F55');
				   
			             } else {
				   
				            var dataString = 'game_path=' + $('#game_path').val() + '&rcon_password=' + $('#rcon_password').val();
		
				            $.ajax({
					  					   
					            type: 'POST',
					            url : '../config/functions/check_rcon.php',
					            data: dataString,
								async: false,
                                cache: false,
					   
					            success : function(data) {
						     
						             var responseData = jQuery.parseJSON(data)
							 
							         if (responseData.STATUT == 'OK') {
										 
										  $('#error_rcon_informations').fadeOut(100);
				   
				                          $('#rcon_password').css('border-color', '#149541');
				                          $('#rcon_password').css('-moz-box-shadow', '0 0 10px #149541');
			       	 		              $('#rcon_password').css('-webkit-box-shadow', '0 0 10px #149541');
			   	 		 	              $('#rcon_password').css('box-shadow', '0 0 10px #149541');
										 
									 } else if (responseData.STATUT == 'NOT_FOUND') {

                                          $('#error_rcon_informations').fadeOut(100);
				   
				                          $('#rcon_password').css('border-color', '#149541');
				                          $('#rcon_password').css('-moz-box-shadow', '0 0 10px #149541');
			       	 		              $('#rcon_password').css('-webkit-box-shadow', '0 0 10px #149541');
			   	 		 	              $('#rcon_password').css('box-shadow', '0 0 10px #149541');

							         } else if (responseData.STATUT == 'DIF') {
										 
										  valid = false;
										  
										  $('#founded_rcon').text(responseData.RCON);
										  
										  $('#modif_parameters').hide();	
										  
										  $('#ask_for_rcon').fadeIn();
										 
									 }
									 
									 finish_check_rcon = true;

					           }
					   
			               });
				   
			             }
						 
						 if ($('#site_id').val() != '' && $('#site_id').val() != 'Exemple : 232877') {
						 
						 	var site_id = ReplaceAll($('#site_id').val(), " " , "");
							
							$('#site_id').val(site_id);
		
						 }
					
		   			     if ($('#site_id').val() == '') {
							 
							$('#site_id_error').fadeIn(100).text("<?php echo $enter_id_site; ?>");
							
							$('#site_id').css('border-color', '#F55');
							$('#site_id').css('-moz-box-shadow', '0 0 10px #F55');
							$('#site_id').css('-webkit-box-shadow', '0 0 10px #F55');
							$('#site_id').css('box-shadow', '0 0 10px #F55');
							
							valid = false;
							 
						 } else if (!$('#site_id').val().match(/^[0-9]+$/)) {
							 
							$('#site_id_error').fadeIn(100).text("<?php echo $only_numbers; ?>");
							
							$('#site_id').css('border-color', '#F55');
							$('#site_id').css('-moz-box-shadow', '0 0 10px #F55');
							$('#site_id').css('-webkit-box-shadow', '0 0 10px #F55');
							$('#site_id').css('box-shadow', '0 0 10px #F55');
							
							valid = false;
							 
						 } else {
							 
							$('#site_id_error').fadeOut(100);
							
							$('#site_id').css('border-color', '#149541');
							$('#site_id').css('-moz-box-shadow', '0 0 10px #149541');
							$('#site_id').css('-webkit-box-shadow', '0 0 10px #149541');
							$('#site_id').css('box-shadow', '0 0 10px #149541');
							 
						 }	
						 
						 if ($('#product_id').val() != '' && $('#product_id').val() != 'Exemple : 1021510') {
						 
						 	var product_id = ReplaceAll($('#product_id').val(), " " , "");
							
							$('#product_id').val(product_id);
		
						 }
					
		   			     if ($('#product_id').val() == '') {
							 
							$('#product_id_error').fadeIn(100).text("<?php echo $enter_product_id; ?>");
							
							$('#product_id').css('border-color', '#F55');
							$('#product_id').css('-moz-box-shadow', '0 0 10px #F55');
							$('#product_id').css('-webkit-box-shadow', '0 0 10px #F55');
							$('#product_id').css('box-shadow', '0 0 10px #F55');
							
							valid = false;
							 
						 } else if (!$('#product_id').val().match(/^[0-9]+$/)) {
							 
							$('#product_id_error').fadeIn(100).text("<?php echo $only_numbers; ?>");
							
							$('#product_id').css('border-color', '#F55');
							$('#product_id').css('-moz-box-shadow', '0 0 10px #F55');
							$('#product_id').css('-webkit-box-shadow', '0 0 10px #F55');
							$('#product_id').css('box-shadow', '0 0 10px #F55');
							
							valid = false;
							 
						 } else {
							 
							$('#product_id_error').fadeOut(100);
							
							$('#product_id').css('border-color', '#149541');
							$('#product_id').css('-moz-box-shadow', '0 0 10px #149541');
							$('#product_id').css('-webkit-box-shadow', '0 0 10px #149541');
							$('#product_id').css('box-shadow', '0 0 10px #149541');
							 
						 }
						 
						 var offer = 1;
						 
						 while (offer <= 3) {
							 
							 var u = 1;
							 
							 if ($('#month_offer_' + offer).is(':visible')) {
							 
							 while (u <= 3) {
								 
							   if ($('#month_offer_' + u).is(':visible')) {
							 
							     if (u != offer) {
									 
									 if ($('#month_offer_' + offer).val() == $('#month_offer_' + u).val()) {
										 
										 valid = false;

										 $('#month_offer_' + offer).css('border-color', '#F55');
							             $('#month_offer_' + offer).css('-moz-box-shadow', '0 0 10px #F55');
							             $('#month_offer_' + offer).css('-webkit-box-shadow', '0 0 10px #F55');
							             $('#month_offer_' + offer).css('box-shadow', '0 0 10px #F55');
										 
										 $('#month_offer_' + u).css('border-color', '#F55');
							             $('#month_offer_' + u).css('-moz-box-shadow', '0 0 10px #F55');
							             $('#month_offer_' + u).css('-webkit-box-shadow', '0 0 10px #F55');
							             $('#month_offer_' + u).css('box-shadow', '0 0 10px #F55');
										 
										 offer = 4;
										 
									 } else {
										 
										 if (u == 3 && $('#month_offer_3').val() == $('#month_offer_2').val() || $('#month_offer_3').val() == $('#month_offer_1').val() && offer >= 4) {
											 
											 	$('#month_offer_3').css('border-color', '#F55');
							                    $('#month_offer_3').css('-moz-box-shadow', '0 0 10px #F55');
							                    $('#month_offer_3').css('-webkit-box-shadow', '0 0 10px #F55');
							                    $('#month_offer_3').css('box-shadow', '0 0 10px #F55');
											 
										 } else {

										        $('#month_offer_' + u).css('border-color', '#ccc');
									            $('#month_offer_' + u).css('-moz-box-shadow', '0 0 0px green');
									            $('#month_offer_' + u).css('-webkit-box-shadow', '0 0 0px green');
									            $('#month_offer_' + u).css('box-shadow', '0 0 0px green');
										 
										 }
										 
									 }
									 
								 } 
								 
							   }
								 
								 u++;
								 
							 }
							 
							}
							 
							offer++;
							 
						 }
						 
						 var price = 1;
						 
						 while (price <= 3) {
							 
							 var u = 1;
							 
							 if ($('#price_offer_' + price).is(':visible')) {
							 
							 while (u <= 3) {
								 
							   if (	$('#price_offer_' + u).is(':visible')) {
							 
							     if (u != price) {
									 
									 if ($('#price_offer_' + price).val() == $('#price_offer_' + u).val()) {
										 
										 valid = false;


										 $('#price_offer_' + price).css('border-color', '#F55');
							             $('#price_offer_' + price).css('-moz-box-shadow', '0 0 10px #F55');
							             $('#price_offer_' + price).css('-webkit-box-shadow', '0 0 10px #F55');
							             $('#price_offer_' + price).css('box-shadow', '0 0 10px #F55');
										 
										 $('#price_offer_' + u).css('border-color', '#F55');
							             $('#price_offer_' + u).css('-moz-box-shadow', '0 0 10px #F55');
							             $('#price_offer_' + u).css('-webkit-box-shadow', '0 0 10px #F55');
							             $('#price_offer_' + u).css('box-shadow', '0 0 10px #F55');
										 
										 if ($('#price_offer_3').val() == $('#price_offer_2').val()) {
											 
											 	$('#price_offer_3').css('border-color', '#F55');
							                    $('#price_offer_3').css('-moz-box-shadow', '0 0 10px #F55');
							                    $('#price_offer_3').css('-webkit-box-shadow', '0 0 10px #F55');
							                    $('#price_offer_3').css('box-shadow', '0 0 10px #F55');
											 
										 }
										 
										 price = 4;
										 
									 } else {
										 
										 if (u == 3 && $('#price_offer_3').val() == $('#price_offer_2').val() || $('#price_offer_3').val() == $('#price_offer_1').val() && price >= 4) {
											 
											 	$('#price_offer_3').css('border-color', '#F55');
							                    $('#price_offer_3').css('-moz-box-shadow', '0 0 10px #F55');
							                    $('#price_offer_3').css('-webkit-box-shadow', '0 0 10px #F55');
							                    $('#price_offer_3').css('box-shadow', '0 0 10px #F55');
											 
										 } else {

										        $('#price_offer_' + u).css('border-color', '#ccc');
									            $('#price_offer_' + u).css('-moz-box-shadow', '0 0 0px green');
									            $('#price_offer_' + u).css('-webkit-box-shadow', '0 0 0px green');
									            $('#price_offer_' + u).css('box-shadow', '0 0 0px green');
										 
										 }
										 
									 }
									 
								 } 
								 
							   }
								 
								 u++; 
								 
							  }
							 
							 }
							 
							 price++;
							 
						 }
						 
						 if (valid) {
							 
							var site_id = $('#site_id').val();
                            var product_id = $('#product_id').val();
											 
						    var dataString = 'site=' + site_id + '&product=' + product_id;
					
					        $.ajax({
						   
						       type : 'POST',
						       url : '../config/functions/check_allopass_account.php',
						       data : dataString,
							   async: false,
                               cache: false,
						       success : function(data) {
							
							         var response = jQuery.parseJSON(data);

                                     if (response.STATUT != 'ok') {
									
								         valid = false;	
										 
										 if (response.STATUT == 'product') {
											 
											 $('#product_id_error').fadeIn(100).text("<?php echo $id_product_not_found; ?>");
							
							                 $('#product_id').css('border-color', '#F55');
						                   	 $('#product_id').css('-moz-box-shadow', '0 0 10px #F55');
							                 $('#product_id').css('-webkit-box-shadow', '0 0 10px #F55');
							                 $('#product_id').css('box-shadow', '0 0 10px #F55');
											 
											 $('#site_id_error').fadeOut(100);
							
							                 $('#site_id').css('border-color', '#149541');
							                 $('#site_id').css('-moz-box-shadow', '0 0 10px #149541');
							                 $('#site_id').css('-webkit-box-shadow', '0 0 10px #149541');
							                 $('#site_id').css('box-shadow', '0 0 10px #149541');
											 
											 $('#modif_parameters').html("<?php echo $modif_parameters; ?>");
							
							                 $('#modif_parameters').effect("shake", { times:2 }, 100);
											 
											 valid = false;
											 
										 } else if (response.STATUT == 'site') {
											 
											 $('#site_id_error').fadeIn(100).text("<?php echo $id_site_not_found; ?>");
							
							                 $('#site_id').css('border-color', '#F55');
							                 $('#site_id').css('-moz-box-shadow', '0 0 10px #F55');
							                 $('#site_id').css('-webkit-box-shadow', '0 0 10px #F55');
							                 $('#site_id').css('box-shadow', '0 0 10px #F55');
											 
											 $('#product_id_error').fadeOut(100);
							
							                 $('#product_id').css('border-color', '#149541');
							                 $('#product_id').css('-moz-box-shadow', '0 0 10px #149541');
							                 $('#product_id').css('-webkit-box-shadow', '0 0 10px #149541');
							                 $('#product_id').css('box-shadow', '0 0 10px #149541');
											 
											 $('#modif_parameters').html("<?php echo $modif_parameters; ?>");
							
							                 $('#modif_parameters').effect("shake", { times:2 }, 100);
											 
											 valid = false;
											 
										 }
																																																																																																						                                     }		 
																																																																																																														                                },
																																																																																																																						
								error : function() {
																																																																																																																				                                      valid = false; 
																																																																																																																											                                }
																																																																																																																																	                            });
							
							if (valid) {
						 
						      while(!finish_check_rcon) { }
						 
						      if (!valid) {
							 
							       $('#modif_parameters').html("<?php echo $modif_parameters; ?>");
							 
							       return false;
							 
					          } else {
								  
								    var offers = "";																																																																																																					  
                                    if ($('#month_offer_1').is(':visible')) {
											 
										offers = $('#month_offer_1').val() + "#" + $('#price_offer_1').val();
											 
									} if ($('#month_offer_2').is(':visible')) {
											 
										offers = offers + "#OFFER#" + $('#month_offer_2').val() + "#" + $('#price_offer_2').val();
											 
									} if ($('#month_offer_3').is(':visible')) {
											 
										offers = offers + "#OFFER#" + $('#month_offer_3').val() + "#" + $('#price_offer_3').val();
											 
									}
											   
								    $('#offers').attr('value' , offers);
							 
							        return true;
							 
						      }
						 
						 } else {
							 
							 return false;
							 
						 }
							 
					}
						 
				});
		 
			});
		 
		 </script>
         
</div>  

</form>
	
<?php } ?> 

</body>

</html>